## API Report File for "@microsoft/fast-animation"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

// @public
export abstract class Animate {
    constructor(element: HTMLElement, options?: AnimateConfig, effectTiming?: EffectTiming);
    addKeyframes: (keyframes: Array<Partial<Keyframe>>) => void;
    cancel: () => void;
    effectTiming: EffectTiming;
    finish: () => void;
    get keyframeEffect(): KeyframeEffect;
    get keyframes(): Keyframe[];
    // Warning: (ae-forgotten-export) The symbol "AnimationMode" needs to be exported by the entry point index.d.ts
    protected mode: AnimationMode;
    onCancel: () => void;
    // (undocumented)
    get onFinish(): () => void;
    set onFinish(callback: () => void);
    // Warning: (ae-forgotten-export) The symbol "AnimateConfig" needs to be exported by the entry point index.d.ts
    options: AnimateConfig;
    pause: () => void;
    play: () => void;
    reverse: () => void;
    }

// @public
export class AnimateFrom extends Animate {
    // (undocumented)
    protected mode: AnimationMode;
}

// @public
export class AnimateGroup {
    constructor(animations: Array<AnimateTo | AnimateFrom>);
    cancel: () => void;
    finish: () => void;
    get onFinish(): () => void;
    set onFinish(callback: () => void);
    pause: () => void;
    play(): void;
    reverse(): void;
}

// @public
export class AnimateSequence {
    constructor(animations: Array<AnimateTo | AnimateFrom>);
    cancel: () => void;
    finish: () => void;
    onFinish: () => void;
    pause: () => void;
    play: () => void;
    reverse: () => void;
}

// @public
export class AnimateTo extends Animate {
    // (undocumented)
    protected mode: AnimationMode;
}

// @public
export function cubicBezier(name: "linear" | "easeOut" | "easeOutSmooth" | "easeIn" | "drillIn" | "backToApp" | "appToApp" | "fastIn" | "fastOut" | "fastInOut" | "exponential" | "fastInFortySevenPercent" | "exponentialReversed" | "navPane" | /* @deprecated */ string): string;

// @public
export function fadeIn(element: HTMLElement, effectTiming?: EffectTiming): AnimateTo;

// @public
export function fadeOut(element: HTMLElement, effectTiming?: EffectTiming): AnimateTo;

// Warning: (ae-forgotten-export) The symbol "ScrollTrigger" needs to be exported by the entry point index.d.ts
//
// @public
export class ScrollTrigger extends ScrollTrigger_2 {
    protected update(): void;
}

// @public
export class ViewEnterTrigger extends ScrollTrigger_2 {
    protected update(): void;
}

// @public
export class ViewExitTrigger extends ScrollTrigger_2 {
    protected update(): void;
}


// (No @packageDocumentation comment for this package)

```
